<?php
function tradFec($fecha){
	preg_match("/([0-9]{2,4})-([0-9]{1,2})-([0-9]{1,2})/i", $fecha, $mifecha);
	$lafecha = $mifecha[3] . "/" . $mifecha[2] . "/" . $mifecha[1];
	print $lafecha;
}

function tradCat($num){
switch($num) {
	case 0:
		echo "Nulo"; 					/*No-reconocido*/
		break;
	case 1:
		echo "Aperitivo / Tapa"; 		/*Aperitivo / Tapa*/
		break;
	case 2:
		echo "Arroz / Pasta"; 			/*Arroz / Pasta*/
		break;
	case 3:
		echo "Carne / Caza";			/*Carne / Caza*/
		break;
	case 4:
		echo "C&oacute;ctel / Batido";			/*Cóctel / Batido*/
		break;
	case 5:
		echo "Desayuno / Postre";		/*Desayuno / Postre*/
		break;
	case 6:
		echo "Ensalada / Guarnici&oacute;n";	/*Ensalada / Guarnición*/
		break;
	case 7:
		echo "Exoacute;tica / Extranjera";	/*Exótica / Extranjera*/
		break;
	case 8:
		echo "Guiso / Sopa";			/*Guiso / Sopa*/
		break;
	case 9:
		echo "Helado / Tarta";			/*Helado / Tarta*/
		break;
	case 10:
		echo "Legumbres / Verdura";		/*Legumbres / Verdura*/
		break;
	case 11:
		echo "Pescado / Marisco";		/*Pescado / Marisco*/
		break;
	case 12:
		echo "Pure / Crema";			/*Pure / Crema*/
		break;
	case 13:
		echo "Salsa / Vinagreta";		/*Salsa / Vinagreta*/
		break;
	case 14:
		echo "Sandwich / Bocadillo";	/*Sandwich / Bocadillo*/
		break;
	default:
		echo "otra";					/*otra*/
		break;
	}
}

function nivel($numero) {
	if($numero < 5) {
			echo "Mendigo";
	}else if ($numero >= 5 && $numero < 10){
			echo "Fregasuelos"; 
	}else if ($numero >= 10 && $numero < 15){
			echo "Fregaplatos";	
	}else if ($numero >= 15 && $numero < 20){
			echo "Sirviente";
	}else if ($numero >= 20 && $numero < 25){
			echo "Barman";
	}else if ($numero >= 25 && $numero < 30){
			echo "Camarero";
	}else if ($numero >= 30 && $numero < 35){
			echo "Sazonador";
	}else if ($numero >= 35 && $numero < 40){
			echo "Salsero";
	}else if ($numero >= 40 && $numero < 45){
			echo "Ayudante de Cocina";
	}else if ($numero >= 45 && $numero < 50){
			echo "Pinche";
	}else if ($numero >= 50 && $numero < 55){
			echo "Cocinero";
	}else if ($numero >= 55 && $numero < 60){
			echo "Jefe de Cocina";
	}else if ($numero >= 60 && $numero < 65){
			echo "Maitre";
	}else if ($numero >= 65 && $numero < 70){
			echo "Chef";
	}else{
			echo "ChefZ";
	}
}

function tradInverT($num){
switch($num) {
	case 1:
		echo "bajo";
		break;
	case 2:
		echo "normal";
		break;
	case 3:
		echo "alto";
		break;
	}
}
function tradInverD($num){
switch($num) {
	case 1:
		echo "baja";
		break;
	case 2:
		echo "normal";
		break;
	case 3:
		echo "alta";
		break;
	}
}
function tradInverC($num){
switch($num) {
	case 1:
		echo "bajo";
		break;
	case 2:
		echo "normal";
		break;
	case 3:
		echo "alto";
		break;
	}
}

function tratAutor($autRec,$autSes){
	
	if ("$autRec" == "$autSes"){
		echo "- YO -";
	}else{
		echo "$autRec";
	}
}

function numValoraciones($receta){
	$conexionMedia = mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal", $conexionMedia);
	
	$consultaValoraciones = "SELECT * FROM tvaloracion2 WHERE codRVal=$receta";
	$resConsulta = mysql_query($consultaValoraciones, $conexionMedia) or die(mysql_error());
	$totalValoraciones = mysql_num_rows($resConsulta);
	return $totalValoraciones;
	}
	
function calcularMedia($receta){
	$media = 0;
	$acum = 0;
	$conexionMedia = mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal", $conexionMedia);
	
	$consultaValoraciones = "SELECT * FROM tvaloracion2 WHERE codRVal=$receta";
	$resConsulta = mysql_query($consultaValoraciones, $conexionMedia) or die(mysql_error());
	$totalValoraciones = mysql_num_rows($resConsulta);
	if ($totalValoraciones>0) {
		while ($linea = mysql_fetch_assoc($resConsulta)) { 
			$acum = $acum + $linea['valor'];
		}
		$media = $acum / $totalValoraciones;
	}
	return number_format($media,1);	
}
function mediaCocinero($cocinero){
	$media = 0;
	$acum = 0;
	$conexionMediaCoc = mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal", $conexionMediaCoc);
	
	$consultaValoracionesCoc = "SELECT * FROM tvaloracion2 WHERE autReceta=$cocinero";
	$resConsultaCoc = mysql_query($consultaValoracionesCoc, $conexionMediaCoc) or die(mysql_error());
	$totalValoracionesCoc = mysql_num_rows($resConsultaCoc);
	if ($totalValoracionesCoc>0) {
		while ($lineaCoc = mysql_fetch_assoc($resConsultaCoc)) { 
			$acum = $acum + $lineaCoc['valor'];
		}
		$media = $acum / $totalValoracionesCoc;
	}
	return number_format($media,2);	
}

function cuentaMisRecetas($ident){
	$conexion03 = mysql_connect("localhost","root","adfbk");
	mysql_select_db("principal", $conexion03);
	$queEmpS = "SELECT * FROM trecetas2 WHERE autorID=$ident";
	$resEmpS = mysql_query($queEmpS, $conexion03) or die(mysql_error());
	$totEmpS = mysql_num_rows($resEmpS);
	return $totEmpS;
}
?>